Subject: bug#476: reportbug and the server interface aren't fluffy

From: Jens Korte <[email-masked]>
Date: Sat, 23 May 2020 16:51:49 +0200

Package: reportbug
Version: 7.5.3+devuan3
Severity: wishlist
Tags: upstream

Dear Maintainer,

   * What led up to the situation?
Trying to report #474 and #475 at devuan I got problems with reportbug
and the lacking possibility of forwarding a bug upstream. If I compare
the webinterface of gitlab/github for issues with reportbug and the
webinterface I judge the devuan/debian solution as some steps behind.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
I used the link at https://wiki.debian.org/reportbug-by-mail to have a
workaround to report an upstream bug to debian.

   * What was the outcome of this action?
It worked.

   * What outcome did you expect instead?
An easier and faster solution to report bugs, forward bugs upstream and
a project independent solution and standard for bugs. If a bug is referred by #bugnr
it should be replaced by a link in the webinterface.

Don't get me wrong, the bug reporting system is working, but it lacks
some features I got used to from other systems. The feature of creating
bugs offline and reporting it using a slow connection is still valuable.

## Some buzzwords I would like to see supported:

* a project independet XML standard for describing a bug
* forwarding a bug upstream/rejecting downstream
* connecting two bug reports on different server as if it was one
* splitting and joining bugs
* support for markdown
* webinterface with and without user registration
* support for offline/dial-in connections
* the choice to replace mail by XMPP
* white- and blacklist for the bug server of other projects to (not)
  trust

Maybe the interface from the GitLab CE could be reused.

-- Package-specific info:
** Environment settings:
INTERFACE="text"

** /home/j/.reportbugrc:
reportbug_version "7.5.3+devuan3"
mode standard
ui text
realname "Jens Korte"
email "[email-masked]"
no-cc
list-cc-me
smtphost mx.devuan.org

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages reportbug depends on:
ii  apt                1.8.2.1
ii  python3            3.7.3-1
ii  python3-reportbug  7.5.3+devuan3
ii  sensible-utils     0.0.12

reportbug recommends no packages.

Versions of packages reportbug suggests:
ii  claws-mail                                 3.17.3-2
pn  debconf-utils                              <none>
pn  debsums                                    <none>
ii  dlocate                                    1.07+nmu1
pn  emacs-bin-common                           <none>
ii  exim4                                      4.92-8+deb10u4
ii  exim4-daemon-light [mail-transport-agent]  4.92-8+deb10u4
ii  file                                       1:5.35-4+deb10u1
ii  gnupg                                      2.2.12-1+deb10u1
pn  python3-urwid                              <none>
ii  reportbug-gtk                              7.5.3+devuan3
ii  xdg-utils                                  1.1.3-1+deb10u1

Versions of packages python3-reportbug depends on:
ii  apt                1.8.2.1
ii  file               1:5.35-4+deb10u1
ii  python3            3.7.3-1
ii  python3-apt        1.8.4.1
ii  python3-debian     0.1.35
ii  python3-debianbts  2.8.2
ii  python3-requests   2.21.0-1
ii  sensible-utils     0.0.12

python3-reportbug suggests no packages.

-- no debconf information